Package com.pixelmed.dicom

## Class PersonIdentification

- java.lang.Object
- - com.pixelmed.dicom.PersonIdentification

-     public class PersonIdentification
      extends java.lang.Object

  A class to provide support for the Person Identification Macro.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `institutionAddress` |
    `protected CodedSequenceItem` | `institutionCodeSequence` |
    `protected java.lang.String` | `institutionName` |
    `protected AttributeList` | `list` |
    `protected java.lang.String` | `personAddress` |
    `protected CodedSequenceItem[]` | `personIdentificationCodeSequence` |
    `protected java.lang.String[]` | `personTelephoneNumbers` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PersonIdentification​(AttributeList list)` | Extract the contents of a Person Identification Macro from a list of attributes.
    `PersonIdentification​(CodedSequenceItem[] personIdentificationCodeSequence, java.lang.String personAddress, java.lang.String[] personTelephoneNumbers, java.lang.String institutionName, java.lang.String institutionAddress, CodedSequenceItem institutionCodeSequence)` | Construct the contents of a Person Identification Macro.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AttributeList` | `getAttributeList()` | Get the list of attributes for a Person Identification Macro.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### list

          protected AttributeList list

    - #### personIdentificationCodeSequence

          protected CodedSequenceItem[] personIdentificationCodeSequence

    - #### personAddress

          protected java.lang.String personAddress

    - #### personTelephoneNumbers

          protected java.lang.String[] personTelephoneNumbers

    - #### institutionName

          protected java.lang.String institutionName

    - #### institutionAddress

          protected java.lang.String institutionAddress

    - #### institutionCodeSequence

          protected CodedSequenceItem institutionCodeSequence

  - ### Constructor Detail

    - #### PersonIdentification

          public PersonIdentification​(AttributeList list)
                               throws DicomException

      Extract the contents of a Person Identification Macro from a list of attributes.

      Non-standard attributes are discarded.

      Parameters:
        `list` - the list of attributes that comprise the item
      Throws:
        `DicomException` - if the list of attributes does not contain the required information

    - #### PersonIdentification

          public PersonIdentification​(CodedSequenceItem[] personIdentificationCodeSequence,
                                      java.lang.String personAddress,
                                      java.lang.String[] personTelephoneNumbers,
                                      java.lang.String institutionName,
                                      java.lang.String institutionAddress,
                                      CodedSequenceItem institutionCodeSequence)
                               throws DicomException

      Construct the contents of a Person Identification Macro.

      Parameters:
        `personIdentificationCodeSequence` -
        `personAddress` -
        `personTelephoneNumbers` -
        `institutionName` -
        `institutionAddress` -
        `institutionCodeSequence` -
      Throws:
        `DicomException` - if the the required information is not present

  - ### Method Detail

    - #### getAttributeList

          public AttributeList getAttributeList()
                                         throws DicomException

      Get the list of attributes for a Person Identification Macro.

      Returns:
        the attribute list
      Throws:
        `DicomException`